# $Id$
# Authority: dag

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name SVN-Simple

Summary: SVN-Simple module for perl
Name: perl-SVN-Simple
Version: 0.25
Release: 1.dag
License: GPL or Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/SVN-Simple/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/SVN/SVN-Simple-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
#BuildRequires: perl(SVN::Core) >= 0.31.0
BuildRequires: subversion-perl >= 0.31.0

%description
CGI::Kwiki is a modular implementation of a Wiki in Perl.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
        PREFIX="%{buildroot}%{_prefix}" \
        INSTALLDIRS="vendor" \
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/*

%changelog
* Thu Sep 30 2004 Dag Wieers <dag@wieers.com> - 0.25-1
- Initial package. (using DAR)
